The forum

error: assertion 'GTK_IS_WIDGET (widget)' failed

Mint 17 Mate 64 bit

Author Replies
tryer Tuesday 9 September 2014 at 20:03
tryerAnonymous

I try to install Office 2007. Installation stops, get next error:

 

(python:3461): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed
[POL_GPG_auth_script] Message: Checking signature of /home/jan/.PlayOnLinux//install
[POL_GPG_install_key] Message: Importing PlayOnLinux public key
[POL_Bash] Message: POL GPG : Good signature - Microsoft Office 2007
[POL_SetupWindow_Init] Message: Creating new window for pid 4001

(python:3461): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

 

Who can help me ?

Ronin DUSETTE Tuesday 9 September 2014 at 20:26
Ronin DUSETTE
Admin

Full computer specs and full debug output, please. Although, looking at it, it is throwing Python errors, so you may be missing something from your python library. The full debug and computer specs should help to narrow it down, though. Poissbly conflict with the theme you are running on your desktop. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
tryer Tuesday 9 September 2014 at 21:01
tryerAnonymous

I have an AMD64 Phenom(tm)9950 Quad-Core Processor, Linux Mint 17 (qiana), kernel Linux 3.13.0-24-generic, Mate 1.8.1

 

playonlinux
Looking for python... 2.7.6 - selected
[main] Message: PlayOnLinux (4.2.5) is starting
[clean_tmp] Message: Cleaning temp directory
[Check_OpenGL] Message: 32bits direct rendering is enabled
[Check_OpenGL] Message: 64bits direct rendering is enabled
[POL_System_CheckFS] Message: Checking filesystem for /home/jan/.PlayOnLinux/
[main] Message: Filesystem is compatible

(python:24576): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed
[install_plugins] Message: Controleren plug-in: Capture...
[install_plugins] Message: Controleren plug-in: ScreenCap...
[install_plugins] Message: Controleren plug-in: PlayOnLinux Vault...
[maj_check] Message: List is up to date

(python:24576): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

 

The last line is endless repeating

Ronin DUSETTE Wednesday 10 September 2014 at 4:20
Ronin DUSETTE
Admin

Can you try to change Mate's theme and see if that helps? I was google searching that error earlier and saw some posts related to that. 


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
vgolubic Wednesday 19 November 2014 at 20:04
vgolubicAnonymous

I am also using the latest Linux Mint 14 and when running a Qt related applications (Ver 5) see the same error when using radio button or check boxes with style "GTK+" or "Macintosh".  It doesn't appear when using "Plastique" or other Qt skins.  I've also tried installing the latest 'gtk' updates using apt-get install. 

So this issue appears to be more widespread gtk error me thinks, not just 'playonlinux'.

Any recommended solutions out there?

V. Golubic

'clarity and truth are complementary" ~Neils Bohr

Edited by vgolubic